package com.inspur.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.inspur.common.annotation.Excel;
import com.inspur.common.core.domain.BaseEntity;

/**
 * 工单节点信息对象 elevator_work_node
 *
 * @author inspur
 * @date 2024-09-18
 */
public class ElevatorWorkNode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工单id */
    @Excel(name = "工单id")
    @ApiModelProperty("工单id")
    private Long workOrderId;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 节点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "节点时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nodeTime;

    /** 联系人名称 */
    @Excel(name = "联系人名称")
    private String contentName;

    /** 备注 */
    @Excel(name = "备注")
    private String contentRemark;

    /** 节点类型 1：发起申请 2：提供安全码3：联系人员4：电话结束 */
    @Excel(name = "节点类型 1：发起申请 2：提供安全码3：联系人员4：电话结束")
    private String type;

    /** 是否成功 */
    @Excel(name = "是否成功")
    private String isSuccess;

    /**
     * pbx call_id
     */
    private String callId;

    private String phoneNum;

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getCallId() {
        return callId;
    }

    public void setCallId(String callId) {
        this.callId = callId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWorkOrderId(Long workOrderId)
    {
        this.workOrderId = workOrderId;
    }

    public Long getWorkOrderId()
    {
        return workOrderId;
    }
    public void setNodeName(String nodeName)
    {
        this.nodeName = nodeName;
    }

    public String getNodeName()
    {
        return nodeName;
    }
    public void setNodeTime(Date nodeTime)
    {
        this.nodeTime = nodeTime;
    }

    public Date getNodeTime()
    {
        return nodeTime;
    }
    public void setContentName(String contentName)
    {
        this.contentName = contentName;
    }

    public String getContentName()
    {
        return contentName;
    }
    public void setContentRemark(String contentRemark)
    {
        this.contentRemark = contentRemark;
    }

    public String getContentRemark()
    {
        return contentRemark;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setIsSuccess(String isSuccess)
    {
        this.isSuccess = isSuccess;
    }

    public String getIsSuccess()
    {
        return isSuccess;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workOrderId", getWorkOrderId())
            .append("nodeName", getNodeName())
            .append("nodeTime", getNodeTime())
            .append("contentName", getContentName())
            .append("contentRemark", getContentRemark())
            .append("type", getType())
            .append("isSuccess", getIsSuccess())
            .append("createTime", getCreateTime())
            .toString();
    }
}
